// swift-tools-version: 6.0
import PackageDescription

let package = Package(
    name: "sutra_afm_lib",
    platforms: [
        .macOS("15.1")
    ],
    products: [
        .library(
            name: "sutra_afm_lib",
            type: .static,
            targets: ["sutra_afm_lib"]),
    ],
    dependencies: [
        .package(url: "https://github.com/Brendonovich/swift-rs", from: "1.0.6")
    ],
    targets: [
        .target(
            name: "sutra_afm_lib",
            dependencies: [
                .product(name: "SwiftRs", package: "swift-rs")
            ],
            path: ".",
            exclude: ["lib.rs"],
            sources: ["apple_llm.swift"]
        ),
    ]
)
